import { CommandResult } from 'resolve-core';
import { Phases, symbol } from './constants';
export declare type BDDAggregateAssertion = (resolve: Function, reject: Function, result: CommandResult | null, error: any) => void;
declare type BDDAggregateAssertionState = {
    phase: Phases;
    assertion: BDDAggregateAssertion;
    isDefaultAssertion: boolean;
};
declare type BDDAggregateAssertionContext = {
    [symbol]: BDDAggregateAssertionState;
};
export declare const shouldProduceEvent: ({ [symbol]: state }: BDDAggregateAssertionContext, expectedEvent: CommandResult) => void;
export declare const shouldThrow: ({ [symbol]: state }: BDDAggregateAssertionContext, expectedError: any) => void;
export {};
